#!/usr/bin/env python3
# v1.0, 1 August 2017, author: Brian Fiedler
# used for simulations in the Hindawi publication
# grid is doubled at t=200 and again at t=220 
# stops at t=225
# example: tornado.py .01 .025
import sys, os
start="makestart2.py"
cfd="gocfd4.py"
plotter="arf4plot.py"

gamma=sys.argv[1]
Omega=sys.argv[2]

# the text for gamma and Omega are also used for directory name:
gammax = gamma.replace('0.','')
Omegax = Omega.replace('0.','')
gammax = gammax.replace('.','')
Omegax = Omegax.replace('.','')
dirname = 'g'+gammax+'M'+Omegax

# the commands:
c0 = "rm -rf "+dirname # removes previous directory for pkl files!
c1 = start+" "+dirname+" --Omega "+Omega+" --gamma "+gamma
c2 = cfd+" "+dirname+"/torn000000.pkl 200"
c3 = cfd+" "+dirname+"/torn020000.pkl 220 -q -d"
c4 = cfd+" "+dirname+"/torn022000.pkl 225 -d"
c5 = plotter+" "+dirname+"/torn022500.pkl"
c6 = plotter+" "+dirname+"/torn022400.pkl"
c7 = plotter+" "+dirname+"/torn022300.pkl"
print(c0)
os.system(c0)
print(c1)
os.system(c1)
print(c2)
os.system(c2)
print(c3)
os.system(c3)
print(c4)
os.system(c4)
print(c5)
os.system(c5)
print(c6)
os.system(c6)
print(c7)
os.system(c7)

