#!/usr/bin/env python3
# v0.4 4 August 2017 
# example usage: lookfiles.py g01M025
# or single file: lookfiles.py g01M025/torn022500.pkl
from __future__ import print_function
import numpy as np
import sys
import glob
try:
    import cPickle as pickle 
except:
    print('assuming python3')
    import pickle as pickle 

allfiles=sys.argv[1:]
lastfile = allfiles[-1]
if not lastfile.endswith('.pkl'):
    allfiles=glob.glob(lastfile+'/*.pkl')
allfiles.sort()

for filename in allfiles:
    infile=open(filename,'rb')
    parms,fields=pickle.load(infile)
    time=parms['time']
    v=fields['v']
    w=fields['w']
    pp=fields['pp']
    fs="{0:0.2f} {1:0d} {2:0d}  {3:10.3e} {4:10.3e} {5:10.3e}"
    ffs = fs.format( time, v.shape[0], v.shape[1], v.max(), w.max(), pp.min() )
    print(ffs)
    infile.close()
if allfiles:
    print(parms)
    print(sorted(fields.keys()))
else:
    print(" no files matched")
